Create Task Batch
curl --request POST \
--url https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/tasks/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task_name": "miner.system.reboot",
"miner_ids": [
"<string>"
],
"params": {
"force": false
}
}
'import requests
url = "https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/tasks/batches"
payload = {
"task_name": "miner.system.reboot",
"miner_ids": ["<string>"],
"params": { "force": False }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
task_name: 'miner.system.reboot',
miner_ids: ['<string>'],
params: {force: false}
})
};
fetch('https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/tasks/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"batch_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"task_name": "miner.log.get",
"task_count": 10,
"task_params": {},
"created_by": {
"type": "user",
"id": "user_2xGz1234567890",
"name": "John Doe",
"avatar": "https://example.com/avatar.png",
"metadata": {}
},
"created_at": "YYYY-MM-DDTHH:MM:SSZ"
}
],
"error": null,
"meta": {
"summary": {
"created_count": 123,
"skipped_count": 123
},
"skipped": [
{
"reason": "no_change",
"message": "<string>",
"miner_ids": [
"<string>"
]
}
]
}
}{
"statusCode": 400,
"message": "Invalid request parameters",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Access denied to workspace",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}Task
Create Task Batch
Create a batch task for specified miners with given task type and parameters. Only supports agent specific tasks
POST
/
private-api
/
v1
/
{workspace_id}
/
farms
/
{farm_id}
/
tasks
/
batches
Create Task Batch
Authorizations
Clerk Machine API Key for authentication
Body
application/json
- Reboot
- Get Log
- Update Light Mode
- Update Mining Mode
- Update firmware
- Update pool lock
- Agent Scan
- Agent IP Diagnosis
- Agent Self Update
- Update Miner Asset Status
- Delete Miners
- Update Miner Rack Location
Reboot miner ASIC. Brief downtime. Use after firmware update or when miner is unresponsive.
Available options:
miner.system.reboot Array of miner IDs to execute task on
Required array length:
1 - 1000 elementsReboot parameters (optional).
Show child attributes
Show child attributes
Response
Successfully created task batches
⌘I